/*
 * Copyright (c) 1998, 2021 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0,
 * or the Eclipse Distribution License v. 1.0 which is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * SPDX-License-Identifier: EPL-2.0 OR BSD-3-Clause
 */

// Contributors:
//     Denise Smith - September 2013
package org.eclipse.persistence.testing.jaxb.inheritance.dot;

import jakarta.xml.bind.JAXBElement;
import javax.xml.namespace.QName;

import org.eclipse.persistence.testing.jaxb.JAXBWithJSONTestCases;

public class InheritanceDotTestCases extends JAXBWithJSONTestCases{

    public InheritanceDotTestCases(String name) throws Exception {
        super(name);
        setClasses(new Class<?>[] { Person.class, Employee.class });
        setControlDocument("org/eclipse/persistence/testing/jaxb/inheritance/inheritanceDot.xml");
        setControlJSON("org/eclipse/persistence/testing/jaxb/inheritance/inheritanceDot.json");
    }

    @Override
    public Object getControlObject() {
        Employee emp = new Employee();
        emp.name = "Bob Smith";
        emp.badgeNumber = "123";
        return emp;
    }

}
